Define SIZEOF_OFF_T to fix overflow checks.

Overflow checks were broken because 'SIZEOF_OFF_T <= 4' was
always true because SIZEOF_OFF_T was not defined and, hence,
treated as zero.

Co-Advisor test cases: test_case/rfc2616/noXform-fwd-Content-Range-simple-2147483645-2147483646-2147483647-withCc-toClt
                       test_case/rfc2616/noXform-fwd-Content-Range-simple-2147483645-2147483646-*-withCc-toClt

=== modified file 'configure.in'
--- configure.in	2010-08-24 10:35:03 +0000
+++ configure.in	2010-08-31 14:23:47 +0000
@@ -2285,6 +2285,8 @@
 #need the defines for PRId64
 AC_CHECK_SIZEOF(int64_t)
 AC_CHECK_SIZEOF(long)
+#need the define for overflow checks
+AC_CHECK_SIZEOF(off_t)
 
 dnl On Solaris 9 x86, gcc may includes a "fixed" set of old system include files
 dnl that is incompatible with the updated Solaris header files.


